package com.quant.entity;

import java.sql.Timestamp;

/**
 * ProductDescription entity. @author MyEclipse Persistence Tools
 */

public class ProductDescription implements java.io.Serializable {

	// Fields

	private Integer id;
	private Integer productId;
	private String riskInfo;
	private String roadshowInfo;
	private String mihfInfo;
	private String teamInfo;
	private String subscribeInfo;
	private Timestamp postTime;

	// Constructors

	/** default constructor */
	public ProductDescription() {
	}

	/** full constructor */
	public ProductDescription(Integer productId, String riskInfo,
			String roadshowInfo, String mihfInfo, String teamInfo,
			Timestamp postTime) {
		this.productId = productId;
		this.riskInfo = riskInfo;
		this.roadshowInfo = roadshowInfo;
		this.mihfInfo = mihfInfo;
		this.teamInfo = teamInfo;
		this.postTime = postTime;
	}

	// Property accessors

	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getProductId() {
		return this.productId;
	}

	public void setProductId(Integer productId) {
		this.productId = productId;
	}

	public String getRiskInfo() {
		return this.riskInfo;
	}

	public void setRiskInfo(String riskInfo) {
		this.riskInfo = riskInfo;
	}

	public String getRoadshowInfo() {
		return this.roadshowInfo;
	}

	public void setRoadshowInfo(String roadshowInfo) {
		this.roadshowInfo = roadshowInfo;
	}

	public String getMihfInfo() {
		return this.mihfInfo;
	}

	public void setMihfInfo(String mihfInfo) {
		this.mihfInfo = mihfInfo;
	}

	public String getTeamInfo() {
		return this.teamInfo;
	}

	public void setTeamInfo(String teamInfo) {
		this.teamInfo = teamInfo;
	}

	public Timestamp getPostTime() {
		return this.postTime;
	}

	public void setPostTime(Timestamp postTime) {
		this.postTime = postTime;
	}

	public String getSubscribeInfo() {
		return subscribeInfo;
	}

	public void setSubscribeInfo(String subscribeInfo) {
		this.subscribeInfo = subscribeInfo;
	}

}